package com.mortals.xhx.module.project.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.project.model.ProjectEntity;
/**
* 学习项目查询对象
*
* @author zxfei
* @date 2023-02-23
*/
public class ProjectQuery extends ProjectEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 标题 */
    private List<String> titleList;

    /** 标题排除列表 */
    private List <String> titleNotList;
    /** 开始 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识) */
    private Integer projectTypeStart;

    /** 结束 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识) */
    private Integer projectTypeEnd;

    /** 增加 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识) */
    private Integer projectTypeIncrement;

    /** 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)列表 */
    private List <Integer> projectTypeList;

    /** 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)排除列表 */
    private List <Integer> projectTypeNotList;

    /** 开始 开始时间 */
    private String projectStartTimeStart;

    /** 结束 开始时间 */
    private String projectStartTimeEnd;

    /** 开始 结束时间 */
    private String projectEndTimeStart;

    /** 结束 结束时间 */
    private String projectEndTimeEnd;

    /** 开始 是否置顶(0.否，1.是) */
    private Integer topStart;

    /** 结束 是否置顶(0.否，1.是) */
    private Integer topEnd;

    /** 增加 是否置顶(0.否，1.是) */
    private Integer topIncrement;

    /** 是否置顶(0.否，1.是)列表 */
    private List <Integer> topList;

    /** 是否置顶(0.否，1.是)排除列表 */
    private List <Integer> topNotList;

    /** 开始 已读要求(0. 学员进入学习项目详情即标记为已读) */
    private Integer readRequestStart;

    /** 结束 已读要求(0. 学员进入学习项目详情即标记为已读) */
    private Integer readRequestEnd;

    /** 增加 已读要求(0. 学员进入学习项目详情即标记为已读) */
    private Integer readRequestIncrement;

    /** 已读要求(0. 学员进入学习项目详情即标记为已读)列表 */
    private List <Integer> readRequestList;

    /** 已读要求(0. 学员进入学习项目详情即标记为已读)排除列表 */
    private List <Integer> readRequestNotList;

    /** 学习内容 */
    private List<String> studyContentList;

    /** 学习内容排除列表 */
    private List <String> studyContentNotList;
    /** 文件路径 */
    private List<String> filePathList;

    /** 文件路径排除列表 */
    private List <String> filePathNotList;
    /** 文件名称 */
    private List<String> fileNameList;

    /** 文件名称排除列表 */
    private List <String> fileNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProjectQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProjectQuery> andConditionList;

    public ProjectQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 标题
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 标题
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 开始 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return projectTypeStart
    */
    public Integer getProjectTypeStart(){
        return this.projectTypeStart;
    }

    /**
    * 设置 开始 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeStart
    */
    public void setProjectTypeStart(Integer projectTypeStart){
        this.projectTypeStart = projectTypeStart;
    }

    /**
    * 获取 结束 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return $projectTypeEnd
    */
    public Integer getProjectTypeEnd(){
        return this.projectTypeEnd;
    }

    /**
    * 设置 结束 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeEnd
    */
    public void setProjectTypeEnd(Integer projectTypeEnd){
        this.projectTypeEnd = projectTypeEnd;
    }

    /**
    * 获取 增加 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return projectTypeIncrement
    */
    public Integer getProjectTypeIncrement(){
        return this.projectTypeIncrement;
    }

    /**
    * 设置 增加 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeIncrement
    */
    public void setProjectTypeIncrement(Integer projectTypeIncrement){
        this.projectTypeIncrement = projectTypeIncrement;
    }

    /**
    * 获取 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return projectTypeList
    */
    public List<Integer> getProjectTypeList(){
        return this.projectTypeList;
    }

    /**
    * 设置 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeList
    */
    public void setProjectTypeList(List<Integer> projectTypeList){
        this.projectTypeList = projectTypeList;
    }

    /**
    * 获取 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @return projectTypeNotList
    */
    public List<Integer> getProjectTypeNotList(){
        return this.projectTypeNotList;
    }

    /**
    * 设置 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeNotList
    */
    public void setProjectTypeNotList(List<Integer> projectTypeNotList){
        this.projectTypeNotList = projectTypeNotList;
    }


    /**
    * 获取 开始 开始时间
    * @return projectStartTimeStart
    */
    public String getProjectStartTimeStart(){
        return this.projectStartTimeStart;
    }

    /**
    * 设置 开始 开始时间
    * @param projectStartTimeStart
    */
    public void setProjectStartTimeStart(String projectStartTimeStart){
        this.projectStartTimeStart = projectStartTimeStart;
    }

    /**
    * 获取 结束 开始时间
    * @return projectStartTimeEnd
    */
    public String getProjectStartTimeEnd(){
        return this.projectStartTimeEnd;
    }

    /**
    * 设置 结束 开始时间
    * @param projectStartTimeEnd
    */
    public void setProjectStartTimeEnd(String projectStartTimeEnd){
        this.projectStartTimeEnd = projectStartTimeEnd;
    }

    /**
    * 获取 开始 结束时间
    * @return projectEndTimeStart
    */
    public String getProjectEndTimeStart(){
        return this.projectEndTimeStart;
    }

    /**
    * 设置 开始 结束时间
    * @param projectEndTimeStart
    */
    public void setProjectEndTimeStart(String projectEndTimeStart){
        this.projectEndTimeStart = projectEndTimeStart;
    }

    /**
    * 获取 结束 结束时间
    * @return projectEndTimeEnd
    */
    public String getProjectEndTimeEnd(){
        return this.projectEndTimeEnd;
    }

    /**
    * 设置 结束 结束时间
    * @param projectEndTimeEnd
    */
    public void setProjectEndTimeEnd(String projectEndTimeEnd){
        this.projectEndTimeEnd = projectEndTimeEnd;
    }

    /**
    * 获取 开始 是否置顶(0.否，1.是)
    * @return topStart
    */
    public Integer getTopStart(){
        return this.topStart;
    }

    /**
    * 设置 开始 是否置顶(0.否，1.是)
    * @param topStart
    */
    public void setTopStart(Integer topStart){
        this.topStart = topStart;
    }

    /**
    * 获取 结束 是否置顶(0.否，1.是)
    * @return $topEnd
    */
    public Integer getTopEnd(){
        return this.topEnd;
    }

    /**
    * 设置 结束 是否置顶(0.否，1.是)
    * @param topEnd
    */
    public void setTopEnd(Integer topEnd){
        this.topEnd = topEnd;
    }

    /**
    * 获取 增加 是否置顶(0.否，1.是)
    * @return topIncrement
    */
    public Integer getTopIncrement(){
        return this.topIncrement;
    }

    /**
    * 设置 增加 是否置顶(0.否，1.是)
    * @param topIncrement
    */
    public void setTopIncrement(Integer topIncrement){
        this.topIncrement = topIncrement;
    }

    /**
    * 获取 是否置顶(0.否，1.是)
    * @return topList
    */
    public List<Integer> getTopList(){
        return this.topList;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topList
    */
    public void setTopList(List<Integer> topList){
        this.topList = topList;
    }

    /**
    * 获取 是否置顶(0.否，1.是)
    * @return topNotList
    */
    public List<Integer> getTopNotList(){
        return this.topNotList;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topNotList
    */
    public void setTopNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
    }


    /**
    * 获取 开始 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @return readRequestStart
    */
    public Integer getReadRequestStart(){
        return this.readRequestStart;
    }

    /**
    * 设置 开始 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestStart
    */
    public void setReadRequestStart(Integer readRequestStart){
        this.readRequestStart = readRequestStart;
    }

    /**
    * 获取 结束 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @return $readRequestEnd
    */
    public Integer getReadRequestEnd(){
        return this.readRequestEnd;
    }

    /**
    * 设置 结束 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestEnd
    */
    public void setReadRequestEnd(Integer readRequestEnd){
        this.readRequestEnd = readRequestEnd;
    }

    /**
    * 获取 增加 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @return readRequestIncrement
    */
    public Integer getReadRequestIncrement(){
        return this.readRequestIncrement;
    }

    /**
    * 设置 增加 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestIncrement
    */
    public void setReadRequestIncrement(Integer readRequestIncrement){
        this.readRequestIncrement = readRequestIncrement;
    }

    /**
    * 获取 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @return readRequestList
    */
    public List<Integer> getReadRequestList(){
        return this.readRequestList;
    }

    /**
    * 设置 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestList
    */
    public void setReadRequestList(List<Integer> readRequestList){
        this.readRequestList = readRequestList;
    }

    /**
    * 获取 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @return readRequestNotList
    */
    public List<Integer> getReadRequestNotList(){
        return this.readRequestNotList;
    }

    /**
    * 设置 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestNotList
    */
    public void setReadRequestNotList(List<Integer> readRequestNotList){
        this.readRequestNotList = readRequestNotList;
    }


    /**
    * 获取 学习内容
    * @return studyContentList
    */
    public List<String> getStudyContentList(){
        return this.studyContentList;
    }

    /**
    * 设置 学习内容
    * @param studyContentList
    */
    public void setStudyContentList(List<String> studyContentList){
        this.studyContentList = studyContentList;
    }

    /**
    * 获取 学习内容
    * @return studyContentNotList
    */
    public List<String> getStudyContentNotList(){
        return this.studyContentNotList;
    }

    /**
    * 设置 学习内容
    * @param studyContentNotList
    */
    public void setStudyContentNotList(List<String> studyContentNotList){
        this.studyContentNotList = studyContentNotList;
    }

    /**
    * 获取 文件路径
    * @return filePathList
    */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
    * 设置 文件路径
    * @param filePathList
    */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }

    /**
    * 获取 文件路径
    * @return filePathNotList
    */
    public List<String> getFilePathNotList(){
        return this.filePathNotList;
    }

    /**
    * 设置 文件路径
    * @param filePathNotList
    */
    public void setFilePathNotList(List<String> filePathNotList){
        this.filePathNotList = filePathNotList;
    }

    /**
    * 获取 文件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 文件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }

    /**
    * 获取 文件名称
    * @return fileNameNotList
    */
    public List<String> getFileNameNotList(){
        return this.fileNameNotList;
    }

    /**
    * 设置 文件名称
    * @param fileNameNotList
    */
    public void setFileNameNotList(List<String> fileNameNotList){
        this.fileNameNotList = fileNameNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProjectQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProjectQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProjectQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProjectQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProjectQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public ProjectQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 标题
    * @param title
    */
    public ProjectQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public ProjectQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }

    /**
    * 设置  项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectType
    */
    public ProjectQuery projectType(Integer projectType){
	    setProjectType(projectType);
		return this;
    }
	
	 /**
    * 设置 开始 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeStart
    */
    public ProjectQuery projectTypeStart(Integer projectTypeStart){
		this.projectTypeStart = projectTypeStart;
		return this;
    }

    /**
    * 设置 结束 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeEnd
    */
    public ProjectQuery projectTypeEnd(Integer projectTypeEnd){
		this.projectTypeEnd = projectTypeEnd;
		return this;
    }

    /**
    * 设置 增加 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeIncrement
    */
    public ProjectQuery projectTypeIncrement(Integer projectTypeIncrement){
		this.projectTypeIncrement = projectTypeIncrement;
		return this;
    }

    /**
    * 设置 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
    * @param projectTypeList
    */
    public ProjectQuery projectTypeList(List<Integer> projectTypeList){
        this.projectTypeList = projectTypeList;
		return this;
        }

        /**
        * 设置 项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
        * @param projectTypeNotList
        */
        public ProjectQuery projectTypeNotList(List<Integer> projectTypeNotList){
        this.projectTypeNotList = projectTypeNotList;
        return this;
        }



    /**
    * 设置  是否置顶(0.否，1.是)
    * @param top
    */
    public ProjectQuery top(Integer top){
	    setTop(top);
		return this;
    }
	
	 /**
    * 设置 开始 是否置顶(0.否，1.是)
    * @param topStart
    */
    public ProjectQuery topStart(Integer topStart){
		this.topStart = topStart;
		return this;
    }

    /**
    * 设置 结束 是否置顶(0.否，1.是)
    * @param topEnd
    */
    public ProjectQuery topEnd(Integer topEnd){
		this.topEnd = topEnd;
		return this;
    }

    /**
    * 设置 增加 是否置顶(0.否，1.是)
    * @param topIncrement
    */
    public ProjectQuery topIncrement(Integer topIncrement){
		this.topIncrement = topIncrement;
		return this;
    }

    /**
    * 设置 是否置顶(0.否，1.是)
    * @param topList
    */
    public ProjectQuery topList(List<Integer> topList){
        this.topList = topList;
		return this;
        }

        /**
        * 设置 是否置顶(0.否，1.是)
        * @param topNotList
        */
        public ProjectQuery topNotList(List<Integer> topNotList){
        this.topNotList = topNotList;
        return this;
        }

    /**
    * 设置  已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequest
    */
    public ProjectQuery readRequest(Integer readRequest){
	    setReadRequest(readRequest);
		return this;
    }
	
	 /**
    * 设置 开始 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestStart
    */
    public ProjectQuery readRequestStart(Integer readRequestStart){
		this.readRequestStart = readRequestStart;
		return this;
    }

    /**
    * 设置 结束 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestEnd
    */
    public ProjectQuery readRequestEnd(Integer readRequestEnd){
		this.readRequestEnd = readRequestEnd;
		return this;
    }

    /**
    * 设置 增加 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestIncrement
    */
    public ProjectQuery readRequestIncrement(Integer readRequestIncrement){
		this.readRequestIncrement = readRequestIncrement;
		return this;
    }

    /**
    * 设置 已读要求(0. 学员进入学习项目详情即标记为已读)
    * @param readRequestList
    */
    public ProjectQuery readRequestList(List<Integer> readRequestList){
        this.readRequestList = readRequestList;
		return this;
        }

        /**
        * 设置 已读要求(0. 学员进入学习项目详情即标记为已读)
        * @param readRequestNotList
        */
        public ProjectQuery readRequestNotList(List<Integer> readRequestNotList){
        this.readRequestNotList = readRequestNotList;
        return this;
        }


	/**
    * 设置 学习内容
    * @param studyContent
    */
    public ProjectQuery studyContent(String studyContent){
        setStudyContent(studyContent);
		return this;
    }

    /**
    * 设置 学习内容
    * @param studyContentList
    */
    public ProjectQuery studyContentList(List<String> studyContentList){
        this.studyContentList = studyContentList;
		return this;
    }


	/**
    * 设置 文件路径
    * @param filePath
    */
    public ProjectQuery filePath(String filePath){
        setFilePath(filePath);
		return this;
    }

    /**
    * 设置 文件路径
    * @param filePathList
    */
    public ProjectQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
		return this;
    }


	/**
    * 设置 文件名称
    * @param fileName
    */
    public ProjectQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }

    /**
    * 设置 文件名称
    * @param fileNameList
    */
    public ProjectQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public ProjectQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public ProjectQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ProjectQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ProjectQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ProjectQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ProjectQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ProjectQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ProjectQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public ProjectQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public ProjectQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public ProjectQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public ProjectQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public ProjectQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public ProjectQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProjectQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProjectQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProjectQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProjectQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}